@import '../../vars';

.disclaimerForm {
  color: $c-black;

  .modalBody {
    background-color: $c-white;
    border-radius: 0;
    font-size: 19px;
    line-height: 1.32;
    letter-spacing: 0.35px;
    text-align: justify;

    @include below(768px) {
      padding: 1rem 0.25rem;
      font-size: 15px;
      line-height: 1.2;
    }

    h2 {
      margin-bottom: 1.3rem;
      color: $c-black;
    }

    .paragraph {
      margin-top: 25px;

      .link {
        color: $c-black;

        &:hover {
          color: #19b4d4;
        }
      }
    }

    .btn {
      color: $c-black;
      margin: 0;
      background-color: #19b4d4;
      border: 1px solid #19b4d4;
      border-radius: 0;
      font-weight: 600;
      cursor: pointer;
      display: inline-block;
      text-align: center;
      text-decoration: none;
      vertical-align: middle;
      line-height: 1.5;
      user-select: none;
      transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out,
        border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
      padding: 0.375rem 0.75rem;
      font-size: 1rem;
      &:hover {
        color: $c-white;
      }

      @include below(768px) {
        font-size: 1rem;
        padding: 0.5rem 1.6rem;
      }
    }
  }
}
.modalBody {
  position: relative;
  display: flex;
  flex-direction: column;
  width: 100%;
  pointer-events: auto;
  background-color: #fff;
  background-clip: padding-box;
  outline: 0;
  flex: 1 1 auto;
  padding: 1rem;
}
.modalFooter {
  display: flex;
  width: 100%;
  flex-wrap: wrap;
  flex-shrink: 0;
  align-items: center;
  justify-content: flex-end;
  padding: 0.75rem;
  border-top: 1px solid #dee2e6;
  border-bottom-right-radius: calc(0.3rem - 1px);
  border-bottom-left-radius: calc(0.3rem - 1px);
}
.backdrop {
  color: #000000;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1055;
  display: block;
  width: 100%;
  height: 100%;
  overflow-x: hidden;
  overflow-y: auto;
  outline: 0;
  animation: fade 100ms ease-in;
}
.modal {
  display: flex;
  align-items: center;
  height: auto;
  position: fixed;
  width: 100%;
  margin: 0.5rem auto;
  pointer-events: none;
  transition: transform 0.3s ease-out;
  z-index: 99999;
  flex-direction: column;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  padding: 2.5rem 2rem 1rem;
  background-color: #fff;
  border-radius: 0;
  font-size: 19px;
  line-height: 1.32;
  letter-spacing: 0.35px;
  text-align: justify;
  max-width: 800px;

  @include below(768px) {
    max-width: 600px;
    margin: 0;
  }
}

@keyframes fade {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 0.5;
  }
}
